API
Revoke a specific CLI install
POST
/auth/cli/installs/{id}/revoke
const url = 'https://mw.omazy.ai/api/v1/auth/cli/installs/example/revoke';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://mw.omazy.ai/api/v1/auth/cli/installs/example/revoke \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{}'Cascades to revoke every refresh-token family bound to the install. Audited as cli.install.revoke.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Install UUID
Request Body
Section titled “Request Body”{ reason: string }
Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
error
object
code
string
message
string
meta
object
next_cursor
string
page
integer
per_page
integer
total
integer
success
boolean
Examplegenerated
{ "data": "example", "error": { "code": "example", "message": "example" }, "meta": { "next_cursor": "example", "page": 1, "per_page": 1, "total": 1 }, "success": true}Bad Request
Media typeapplication/json
object
code
string
message
string
Examplegenerated
{ "code": "example", "message": "example"}Unauthorized
Media typeapplication/json
object
code
string
message
string
Examplegenerated
{ "code": "example", "message": "example"}